Bug 231506

Summary: Add built-in support for Subversion 1.8 through SVNKit and JavaHL
Product: versioncontrol Reporter: host <host>
Component: SubversionAssignee: Ondrej Vrabec <ovrabec>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: alied, anebuzelsky, athompson, atrukhina, brutzman, Coodugh, dincek, hundera, jasonec, john.schmalenberg, kAlvaro, lkishalmi, madth31, netrunner, nsegura3, ogj, prosp4300, pwright, sasha.borodin.info, schulte2004, scout77, Simon143
Version: 7.4   
Target Milestone: 8.0   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: ENHANCEMENT Exception Report:
Bug Depends on: 238600    
Bug Blocks: 236748    

Description host 2013-06-19 09:00:00 UTC
It would be great to have built-in support for Subversion 1.8 through SVNkit as soon as SVNKit is updated accordingly.
Comment 1 Ondrej Vrabec 2013-06-19 09:07:08 UTC
sure, it would be great. But SVNKit 1.8 is far from ready.
Comment 2 host 2013-06-19 09:08:11 UTC
I know... That is why I put a low priority on it for now. :-)
Comment 3 petronel 2013-06-25 07:49:29 UTC
I did updated my Tortoise SVN client and this asked me to upgrade my working copy and I did that without noticing there is no support in the Netbeans for this 1.8 !

There is any way to rollback to 1.7 ?

With kind regards
Comment 4 host 2013-06-25 07:58:28 UTC
@petronel: The TortoiseSVN release notes (available at http://tortoisesvn.net/tsvn_1.8_releasenotes.html#compatibility) specifically say that "Pre-1.8 clients cannot access 1.8 working copies at all and there is no downgrade option." So your only two options are to check out the repository anew or to use the SVN CLI in the latest NetBenas 7.4 daily build which supports SVN 1.8.
Comment 5 pwright 2013-06-25 19:30:12 UTC
Does the comment about 1.8 support in the 7.4 daily builds indicate that the CLI support in NB has been brought up to date?  Comments elsewhere indicated that the command line support for SVN was lacking and had performance issues.
Comment 6 Ondrej Vrabec 2013-06-26 07:30:06 UTC
> Does the comment about 1.8 support in the 7.4 daily builds indicate that the CLI support in NB has been brought up to date?  Comments elsewhere indicated that the command line support for SVN was lacking and had performance issues.
True, some features added in the past 2 or 3 releases  of NetBeans do not work with CLI, but they are not critical and you can live without them. And yes, CLI in NetBeans is slower and has performance issues but the basic functionality works and you can still commit, diff, update and review changes and use all other svn features implemented i guess up until NetBeans 7.1.
Comment 7 Trejder 2013-07-05 10:51:22 UTC
Is there any update on Subversion 1.8 support in SVNkit? When can we expect it? What does "SVNKit 1.8 is far from ready" means? The estimated period for finishing this implementation (SVN 1.8 in SVNkit) can be counted in days? Weeks? Months?

Kind regards!
Comment 9 lkishalmi 2013-08-26 10:17:24 UTC
Right now SvnKit 1.8 alpha is available.
Comment 10 Catchwa 2013-09-03 05:30:54 UTC
SvnKit 1.8 beta was released yesterday, so you'd think it'd be close to officially out.
Comment 11 Trejder 2013-09-24 08:36:37 UTC
Good question, what do you mean by "close to officially out"? :]

I turns out, that three weeks after releasing a beta, nothing has changed. No new beta, no official stable release, no information on progress or estimate time of release of stable version. No, nothing...
Comment 12 Ondrej Vrabec 2013-09-24 08:43:40 UTC
i originally thought i would integrate svnkit beta into NetBeans but then i found out that svnkit 1.8 beta automatically upgrades working copies from 1.7 to 1.8 format. I won't integrate such a build into NetBeans i can see the number of incoming P1s on NetBeans even now because of this.
http://issues.tmatesoft.com/issue/SVNKIT-395
Comment 13 alied 2013-10-04 16:48:35 UTC
Hi, is there a way to test (although still in beta) svnkit 1.8?
At my own risk, of course. Tortoise already took care to update my working copies to 1.8 already, so the worst already happened.
Comment 14 gascani 2013-11-07 13:48:06 UTC
(In reply to alied from comment #13)
> Hi, is there a way to test (although still in beta) svnkit 1.8?
> At my own risk, of course. Tortoise already took care to update my working
> copies to 1.8 already, so the worst already happened.

1) Download svnKit 1.8 beta from http://svnkit.com/download.php
2) Merge svnkit-1.8.0-beta2.jar, sequence-library-1.0.2.jar, svnkit-javahl16-1.8.0-beta2.jar into a new jar named svnkit.jar
3) Replace the  jar in Netbeans folder (es: C:\Program Files\NetBeans 7.4\ide\modules\ext)

I tried and seems to work.
Comment 15 Ondrej Vrabec 2013-11-11 09:49:30 UTC
fix: http://hg.netbeans.org/core-main/rev/1654f9eddf7e
Comment 16 Ondrej Vrabec 2013-11-11 09:54:47 UTC
> fix: http://hg.netbeans.org/core-main/rev/1654f9eddf7e
upgraded svnkit to 1.8 rc1 and javahl to 1.8. You can play with 1.8 support in development builds.
Comment 17 Quality Engineering 2013-11-15 03:05:26 UTC
Integrated into 'main-silver', will be available in build *201311150002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1654f9eddf7e
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #231506 - Add built-in support for Subversion 1.8 through SVNKit and JavaHL
upgrading svnkit to 1.8rc1 and javahl to 1.8
Comment 18 Ondrej Vrabec 2013-11-20 10:24:45 UTC
fix: http://hg.netbeans.org/core-main/rev/ed6c242d04f7
Comment 19 Ondrej Vrabec 2013-11-29 14:27:31 UTC
fix: http://hg.netbeans.org/core-main/rev/ef28ed642e48
Comment 20 Quality Engineering 2013-11-30 04:30:34 UTC
Integrated into 'main-silver', will be available in build *201311300002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ef28ed642e48
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #231506 - Add built-in support for Subversion 1.8 through SVNKit and JavaHL
upgrading to svnkit 1.8 final
Comment 21 brutzman 2014-01-06 02:01:05 UTC
If this upgrade was delivered on 30 NOV 2013, then why hasn't it been deployed to end users yet?
Comment 22 ogj 2014-01-08 13:27:33 UTC
What is the easiest way of getting this fix into a stable 7.4 version? After upgrading to Fedora 20, my local svn repo was also upgraded (upon first update from command line svn). It works with command line svn, but the integration with netbeans now also has to work with the command line version.

I tried to grab some jar files from a daily build and overwrote the corresponding jar files from 7.4, but that didn't work. Maybe I selected the wrong files.
Comment 23 darnigh 2014-01-22 06:22:05 UTC
In my opinion the easiest way to get SVN 1.8 support is to download the NB 8.0 beta...
Comment 24 sehiser 2014-01-22 13:21:32 UTC
That was the Target Milestone.  NB 8.0 BETA was released on the 15th of this month.  All of these comments and requests predate the release.  Regardless, can't wait to give it a run.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo